type: prog

niveau: intermédiaire

titre: Vendredi fou
uuid: 030cf323-e8f9-46fc-9630-5de443b751b9

objectif: Déterminer le montant d'une commande assujettie à deux rabais conditionnels

énoncé: |
  À l'occasion du vendredi fou, un site d'achat en ligne offre un bon rabais de **20$** pour tous les clients dont le `montant` de la commande est de **100$** ou plus.

  De plus, si la commande est d'un montant de **300$** ou plus, un rabais supplémentaire de **30$** est offert.

  On souhaite déterminer le **montant après rabais** pour toute commande dont le `montant` est reçu en entrée.

    ### Entrée
  - `montant`: de la commande (nombre réel)

  ### Sortie attendue

  Le montant total après rabais (nombre réel)

  ### À faire :

    Compléter le programme qui produit en sortie le __montant total__ à payer après les rabais éventuels.

  ### Exemples

  1. Montant avec 1er rabais

   - Entrées :
  ```
      100

  ```

   - Sortie attendue :
  ```
     80.0

  ```
  2. Montant avec les 2 rabais

   - Entrées :
  ```
      300

  ```

   - Sortie attendue :
  ```
     250.0

  ```
ébauches:
    python: !include exec.py
    java: !include exec.java
    kotlin: !include exec.kt


rétroactions:
    positive: Génial!
    négative: Il s'agit d'écrire une structure sélective pour le premier rabais, suivie d'une structure sélective pour ajouter éventuellement le deuxième rabais…

tests:
    !include tests.yml

auteur: Wafaa Niar Dinedane / Patrick Lafrance
licence: 2021 CC-BY-SA
